import {Link} from "react-router-dom";
import Modal from "../components/Modal";
import {useState} from "react";
import TournamentForm from "../components/TournamentForm";

export default function Navbar() {
    const [isOpen, setIsOpen] = useState(false)


    return (
            <nav className="flex items-center justify-end h-14 bg-gray-100 fixed w-full top-0 left-0 z-10 hover:shadow duration-100">
                <Modal isOpen={isOpen} onClose={() => setIsOpen(false)}>
                    <div className={'w-[40vw]'}>
                        <button className={'absolute top-0 right-0 m-1'}
                                onClick={() => setIsOpen(false)}>❌
                        </button>
                        <TournamentForm />
                    </div>
                </Modal>
                <div className={'mr-12'}>
                    <ul className="flex justify-evenly items-center w-full h-full text-gray-400">
                        <button className={'flex items-center justify-center w-24 h-8 rounded-xl hover:bg-gray-200'} onClick={() => setIsOpen(true)}>
                            Create
                        </button>

                        <li className={'flex items-center justify-center w-24 h-8 rounded-xl hover:bg-gray-200'}>
                            <Link to="/">Home</Link>
                        </li>
                        <li className={'flex items-center justify-center w-24 h-8 rounded-lg h-full hover:bg-gray-200 duration-100'}>
                            <Link to="/">About</Link>
                        </li>
                    </ul>
                </div>
            </nav>
    )
}